org.jboss.resteasy.core

## Class PathParamInjector

- java.lang.Object
- - org.jboss.resteasy.core.PathParamInjector

- All Implemented Interfaces:
    ValueInjector

      public class PathParamInjector
      extends Object
      implements ValueInjector

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PathParamInjector(Class type, Type genericType, AccessibleObject target, String paramName, String defaultValue, boolean encode, Annotation[] annotations, ResteasyProviderFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `inject()` Inject outside the context of an HTTP request.
    `Object` | `inject(HttpRequest request, HttpResponse response)` Inject inside the context of an HTTP request.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PathParamInjector

          public PathParamInjector(Class type,
                           Type genericType,
                           AccessibleObject target,
                           String paramName,
                           String defaultValue,
                           boolean encode,
                           Annotation[] annotations,
                           ResteasyProviderFactory factory)

  - ### Method Detail

    - #### inject

          public Object inject(HttpRequest request,
                      HttpResponse response)

      Description copied from interface: `ValueInjector`
      Inject inside the context of an HTTP request.
      Specified by:
        `inject` in interface `ValueInjector`
      Returns:

    - #### inject

          public Object inject()

      Description copied from interface: `ValueInjector`
      Inject outside the context of an HTTP request. For instance, a singleton may have proxiable and injectable jax-rs objects like Request, UriInfo, or HttpHeaders.
      Specified by:
        `inject` in interface `ValueInjector`
      Returns:

Copyright © 2014. All Rights Reserved.